<?php
header('Content-Type: application/json');
require("dbinfo.php");
require("dl.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}


$audio = "";
$nombreaudio = "";

if( $_REQUEST["audio"] ) {$nombreaudio = $_REQUEST['audio'];}
if (isset($_FILES['archivoaudio']) && !empty($_FILES['archivoaudio']))
{
      	  $val = $_FILES['archivoaudio'];
		  $audio1nom = $val['name'];
		  $audio1tmp = $val['tmp_name'];
		  $ruta_archivo = pathinfo($nombreaudio);        
		  $ruta_base = $ruta_archivo["dirname"];
		  $nombre_archivo = $ruta_archivo["basename"];        
		  $ruta_completa = $_SERVER['DOCUMENT_ROOT'] .  $ruta_base;
		  $target_file = $ruta_completa . "/" . $nombre_archivo;
		  $target_file = str_replace("/\\","/",$target_file);  
		  $uploadOk = 1;
		  $audioFileType = pathinfo($target_file,PATHINFO_EXTENSION);
		  if (file_exists($target_file)) {
				 $uploadOk = 0;
		  }
		  if ($val["size"] > 9000000) {
			   $uploadOk = 0;
		  }
		  if(strtolower($audioFileType) != "ogg" && strtolower($audioFileType) != "mp3" && strtolower($audioFileType) != "wav" && strtolower($audioFileType) != "wma") {
			  $uploadOk = 0;
		  }
		  if ($uploadOk == 1) {
		   move_uploaded_file($audio1tmp, $target_file);
		  }   
}





	  $usuario = "administrador";
	  if( $_REQUEST["usuario"] ) {
		 $usuario = $_REQUEST['usuario'];
	  }
	  $tipo = 'CAPTACION';
	  if( $_REQUEST["tipo"] ) {
		 $tipo = $_REQUEST['tipo'];
	  }
	  $id = 0;
	  if( $_REQUEST["id"] ) {
		 $id = $_REQUEST['id'];
	  }


	  	 $fecha = dl_fecha::dl_ahora_texto();
		 $sql = "INSERT INTO log2 (id_elemento,descripcion,tipo,fecha,usuario,tipo_elemento) VALUES (" . $id . ",'Se subio audio','NUEVO AUDIO','" . $fecha . "','" . $usuario . "','" . $tipo . "')";
		 $resultado = mysqli_query($con,$sql);




mysqli_close($con);
$resultado = array(
   'mensaje'=> $target_file
   );
echo json_encode($resultado);
?>
